%COMPATIBLE_PLOTS identies which plot types are available to display the
%data generated by the current simulation
%
% Syntax
% ------
%  compatible = gr.compatible = compatible_plots(sim)
%
% Details
% -------
% This function returns a vector of logicals corresponding to which plots 
% can be created using data generated by the current simulation.
%
% Examples
% --------
%  
% See also: graph.plot, graph.plot_scatter, graph.plot_histogram, 
% graph.plot_line, graph.plot_heat, graph.plot_contour

%   Copyright 2013
%   $Revision: 1.0 $  $Date: 2013/09/22 17:20:00 $   

function compatible = compatible_plots(gr,sim)

n = sum(sim.inputsVaried(:));
plottypes = [gr.PlotTypes{:,2}];

compatible = plottypes == n;

end % compatible_plots